universe description incorrectly suggests software may be non-free

Bug #1590358 reported by Dan Watkins on 2016-06-08
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt-setup (Ubuntu)
Medium
Mathieu Trudel-Lapierre
Xenial
Medium
Mathieu Trudel-Lapierre
Yakkety
Medium
Mathieu Trudel-Lapierre
ubiquity (Ubuntu)
Medium
Unassigned
Xenial
Medium
Mathieu Trudel-Lapierre
Yakkety
Medium
Unassigned

Bug Description

[Impact]
This is written in /etc/apt/sources.list in every new install.

[Test case]
1) cat /etc/apt/sources.list

[Regression potential]
None

---

The comment above the universe section of sources.list in both desktop and server installs of xenial is the same as that for multiverse:

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.

This changed between wily and xenial (with the upload of 1:0.104ubuntu1); previously, it correctly read:

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.

This old comment should be restored.

Dan Watkins (daniel-thewatkins) wrote :

The attached patch should be applied.

Changed in apt-setup (Ubuntu):
assignee: nobody → Lev Tverdokhlebov (techfreebox)
assignee: Lev Tverdokhlebov (techfreebox) → nobody

The attachment "lp1590358.diff" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Changed in apt-setup (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in apt-setup (Ubuntu Xenial):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
importance: Undecided → Medium
Changed in apt-setup (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in apt-setup (Ubuntu Xenial):
status: New → In Progress
Changed in apt-setup (Ubuntu Yakkety):
status: New → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt-setup - 1:0.104ubuntu5

---------------
apt-setup (1:0.104ubuntu5) yakkety; urgency=medium

  * generators/50mirror.ubuntu: universe incorrectly mentions some software
    being unfree, which is not true. Remove that mention from the notice we
    write to sources.list. Patch from Dan Watkins. (LP: #1590358)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 08 Jun 2016 13:15:07 -0400

Changed in apt-setup (Ubuntu Yakkety):
status: In Progress → Fix Released

Hello Dan, or anyone else affected,

Accepted apt-setup into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apt-setup/1:0.104ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in apt-setup (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed

Verified that this is working after an install of Ubuntu from mini.iso on amd64; marking verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt-setup - 1:0.104ubuntu4.1

---------------
apt-setup (1:0.104ubuntu4.1) xenial; urgency=medium

  * generators/50mirror.ubuntu: universe incorrectly mentions some software
    being unfree, which is not true. Remove that mention from the notice we
    write to sources.list. Patch from Dan Watkins. (LP: #1590358)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 08 Jun 2016 13:08:55 -0400

Changed in apt-setup (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for apt-setup has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in ubiquity (Ubuntu Yakkety):
status: New → Fix Released
Changed in ubiquity (Ubuntu Xenial):
status: New → In Progress
Changed in ubiquity (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in ubiquity (Ubuntu Xenial):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
importance: Undecided → Medium
Changed in ubiquity (Ubuntu Xenial):
assignee: Mathieu Trudel-Lapierre (cyphermox) → Lev Tverdokhlebov (techfreebox)
Changed in ubiquity (Ubuntu Xenial):
assignee: Lev Tverdokhlebov (techfreebox) → Mathieu Trudel-Lapierre (cyphermox)

Hello Dan, or anyone else affected,

Accepted ubiquity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubiquity/2.21.63.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubiquity (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed

Verification done, the sources.list shows the right description now after install using ubiquity.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.21.63.3

---------------
ubiquity (2.21.63.3) xenial; urgency=medium

  * ubi-prepare.py: default to disabling Secure Boot when third party drivers
    are being installed, since it's most likely what people will want. This
    will also avoid people skipping through this important part of the
    installer without noticing, only to find their systems not all working
    correctly. (LP: #1606393)
  * d-i/sources.list: add xenial-updates to sources.list to pick up any SRUs
    of d-i components that are no longer in flight.
  * Automatic update of included source packages: apt-setup
    1:0.104ubuntu4.1, base-installer 1.158ubuntu2.1, netcfg
    1.135ubuntu4.1. (LP: #1590358)
  * bin/ubiquity-dm: wait for the DBus signals telling us that xsettings are
    ready before continuing with preparing ubiquity-dm; this avoids starting
    too quickly and incorrectly applying scale ratios for HiDPI screens.
    (LP: #1560162)

 -- Mathieu Trudel-Lapierre <email address hidden> Fri, 02 Sep 2016 11:17:13 -0400

Changed in ubiquity (Ubuntu Xenial):
status: Fix Committed → Fix Released
Thomas Cogg (uborka69) on 2018-07-29
Changed in apt-setup (Ubuntu):
assignee: Mathieu Trudel-Lapierre (cyphermox) → Thomas Cogg (uborka69)
Phillip Susi (psusi) on 2018-08-13
Changed in apt-setup (Ubuntu):
assignee: Thomas Cogg (uborka69) → Mathieu Trudel-Lapierre (cyphermox)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers